| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::OctreeZoneFactory Class Reference
Plugins » OctreeZone

Factory for OctreeZone. More...

`#include <OgreOctreeZone.h>`

Inheritance diagram for Ogre::OctreeZoneFactory:
[legend]

## Public Member Functions
| OctreeZoneFactory ()
virtual | ~OctreeZoneFactory ()
PCZone * | createPCZone (PCZSceneManager *pczsm, const String &zoneName)
const String & | getFactoryTypeName () const
bool | supportsPCZoneType (const String &zoneType)

## Public Attributes
String | mFactoryTypeName
| Factory type name. More...

## Detailed Description

Factory for OctreeZone.

## Constructor & Destructor Documentation

## ◆ OctreeZoneFactory()

Ogre::OctreeZoneFactory::OctreeZoneFactory | ( |  | ) |

## ◆ ~OctreeZoneFactory()

virtual Ogre::OctreeZoneFactory::~OctreeZoneFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ supportsPCZoneType()

bool Ogre::OctreeZoneFactory::supportsPCZoneType | ( | const String & | zoneType | ) |
| virtual

Implements Ogre::PCZoneFactory.

## ◆ createPCZone()

PCZone* Ogre::OctreeZoneFactory::createPCZone | ( | PCZSceneManager * | pczsm,
|  | const String & | zoneName
| ) |  |
| virtual

Implements Ogre::PCZoneFactory.

## ◆ getFactoryTypeName()

const String& Ogre::PCZoneFactory::getFactoryTypeName | ( |  | ) | const
| inline inherited

## Member Data Documentation

## ◆ mFactoryTypeName

String Ogre::PCZoneFactory::mFactoryTypeName
| inherited

Factory type name.

The documentation for this class was generated from the following file:

- OgreOctreeZone.h